Subject: bug#4197: 23.1; error when try to run `server-start': directory .emacs.d/server is unsafe

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Aug 2009 23:35:58 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>, <[email-masked]>
> Date: Fri, 21 Aug 2009 11:55:27 -0700
> 
> But if the default value of the variable is inappropriate for some platform
> (disk format), then it should be changed - at least on that platform.
> 
> Can you not test for this (e.g. using code similar to what you asked me to
> evaluate to test this), and set the default value accordingly?

I don't think we need to change the value of
w32-get-true-file-attributes on FAT32 volumes.  All we need is fix
server.el to not barf on FAT32 volumes.  I'll see what I can do.

> There is no reason to be defensive (if you are doing that) about a
> bug.

There's no need to become angry, either.

> I can understand that a developer wants to show off new, enhanced behavior, but
> that shouldn't be the default if it leads to fundamental problems.

This developer simply doesn't have enough time to fix everything right
away.  That is the only reason this bug is not yet fixed.  That, and
the fact that no one else beat me to it.  There's no show-off anywhere
in sight.